Author Topic: Please Help: No Loader is installed. Please contact support.  (Read 6802 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Please Help: No Loader is installed. Please contact support.
« on: August 03, 2016, 07:20:35 PM »
Hi,
  Can't open ip:2030 CWP giving error No Loader is Installed. I've checked ioncube is installed and running php 5.4.

I've already tried Method 2. http://wiki.centos-webpanel.com/no-loader-is-installed-please-contact-support

But still it's not sorted out.

Offline
*
Re: Please Help: No Loader is installed. Please contact support.
« Reply #1 on: August 09, 2016, 10:55:54 AM »
many times i found out that they simply can not find the file ioncube_loader_lin_5.4.so.

to fix that is simple use ssh and select the root directory /
then you type
find - name ioncube_loader_lin_5.4.so
and press enter.
so now he go and search for that file on your total hard disc. he will give you make a few.
PHP is looking for the file at this folder /usr/local/ioncube/ioncube_loader_lin_5.4.so if he can not find it on that location then is it not install for him. i forced him to take the file which i say and which is by the instruction of ioncube. i copy the file oncube_loader_lin_5.4.so to the php folder modules.
which is /usr/lib64/php/modules if you have 64bit system. and it worked. that is the same thing what the ioncube wizard is telling you.  but i also need to tell php.ini to load the file.  quick fix is copy file to php modules folder and tell php.ini to load it. better way download from ioncube website the tar.gz file and follow their guide. but it will do a damage to cwp. not a damage direct. cwp has an apache compiler where you can build you apache new including php. if you run that again your ioncube is gone and you have to do it again. but this compiler gives you the option to install ioncube unless you forget to to tick it. so you can force it by copy the file or recompile apache+php with ioncube. i suggest recompile. and think which modules you need for apache.